Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSMouseHandler Class Reference

The QWSMouseHandler class is a mouse driver/handler for Qt/Embedded. More...

`#include <qwsmouse_qws.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QWSMouseHandler ()
- virtual ~QWSMouseHandler ()
- virtual void clearCalibration ()
- virtual void calibrate ( QWSPointerCalibrationData * )
- virtual void getCalibration ( QWSPointerCalibrationData * )

## Protected Members

- void mouseChanged ( const QPoint & pos, int bstate )

## Detailed Description

The QWSMouseHandler class is a mouse driver/handler for Qt/Embedded.

The mouse driver/handler handles events from system devices and generates mouse events.

A QWSMouseHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call mouseChanged() to send the event to Qt/Embedded for relaying to clients.

See also Qt/Embedded.

## Member Function Documentation

### QWSMouseHandler::QWSMouseHandler ()

Constructs a mouse handler. This becomes the primary mouse handler.

Note that once created, mouse handlers are controlled by the system and should not be deleted.

### QWSMouseHandler::~QWSMouseHandler ()`[virtual]`

Destroys the mouse handler. You should not call this directly.

### void QWSMouseHandler::calibrate ( QWSPointerCalibrationData * )`[virtual]`

This method is reimplemented in the calibrated mouse handler to set calibration information (from, for instance, the QPE calibration screen). This version does nothing.

### void QWSMouseHandler::clearCalibration ()`[virtual]`

This method is reimplemented in the calibrated mouse handler to clear calibration information. This version does nothing.

### void QWSMouseHandler::mouseChanged ( const QPoint & pos, int bstate )`[protected]`

When a mouse event occurs this function is called with the mouse's position in pos, and the state of its buttons in bstate.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.